Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.classloading.spi
Interface DomainClassLoader

All Superinterfaces:
  Cloneable, org.jboss.util.JBossInterface

All Known Implementing Classes:
  DelegatingDomainClassLoader

public interface DomainClassLoader
extends org.jboss.util.JBossInterface

A classloader that can be put in a domain

Version:
  $Revision: 1.4 $
Author:
  Adrian Brock

Method Summary
`ClassLoadingDomain` | `getDomain()` The domain of the classloader
`Package` | `getPackage(String name)` Get a package defined by the classloader
`Set` | `getPackageNames()` Get the packages defined by the classloader
`Class` | `loadClassLocally(String name, boolean resolve)` Load a class
`URL` | `loadResourceLocally(String name)` Get a resource
`void` | `setDomain(ClassLoadingDomain domain)` Set the domain of the classloader

Methods inherited from interface org.jboss.util.JBossInterface
`clone, toShortString, toShortString`

Method Detail

### getDomain

    public ClassLoadingDomain getDomain()

  The domain of the classloader

  Returns:
    the domain

### setDomain

    public void setDomain(ClassLoadingDomain domain)

  Set the domain of the classloader

### loadClassLocally

    public Class loadClassLocally(String name,
                                  boolean resolve)
                           throws ClassNotFoundException

  Load a class

  Parameters:
    `name` - the class name
    `resolve` - whether to resolve the class
  Returns:
    the class
  Throws:
    `ClassNotFoundException` - when there is not class

### loadResourceLocally

    public URL loadResourceLocally(String name)

  Get a resource

  Parameters:
    `name` - the resource name
  Returns:
    the resource or null if not found

### getPackageNames

    public Set getPackageNames()

  Get the packages defined by the classloader

  Returns:
    the packages

### getPackage

    public Package getPackage(String name)

  Get a package defined by the classloader

  Parameters:
    `name` - the name of the package
  Returns:
    the package

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 JBoss Inc. All Rights Reserved.